[SRU] New stable release 1.8.2

Bug #1594407 reported by Iain Lane on 2016-06-20
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
gst-libav1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-bad1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-base1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-good1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gst-plugins-ugly1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gstreamer-vaapi (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
gstreamer1.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

[ Description ]

We should keep up with GStreamer's bugfix releases in the 1.8 series that 16.04 shipped with.

[ QA and testing ]

Play a range of videos in Totem. Play a range of audio tracks in Rhythmbox. Try to stream audio and/or video. Try to install a missing codec.

In all cases, make sure that everything which worked before still works.

[ Regression potential ]

One of the fixes could be bad. Watch out for it.

Iain Lane (laney) on 2016-06-20
Changed in gstreamer1.0 (Ubuntu):
status: New → Fix Released
Changed in gstreamer-vaapi (Ubuntu):
status: New → Fix Released

Hello Iain, or anyone else affected,

Accepted gstreamer-vaapi into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer-vaapi/1.8.2-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gstreamer-vaapi (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.8.2-1ubuntu1

---------------
gst-plugins-good1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1594407); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-good1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 15:53:46 +0100

Changed in gst-plugins-good1.0 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.8.2-1ubuntu1

---------------
gst-plugins-base1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1594407). Remaining changes:
    + 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
      Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
      GstCaps containing the suggested buffer size for this stream.
    + Update Vcs-* for Ubuntu

gst-plugins-base1.0 (1.8.2-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated field name.
  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 15:24:43 +0100

Changed in gst-plugins-base1.0 (Ubuntu):
status: New → Fix Released
Iain Lane (laney) on 2016-06-22
Changed in gst-plugins-bad1.0 (Ubuntu):
status: New → Fix Released
Changed in gst-plugins-ugly1.0 (Ubuntu):
status: New → Fix Released
Iain Lane (laney) on 2016-06-22
Changed in gst-libav1.0 (Ubuntu):
status: New → Fix Released
Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-bad1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-bad1.0/1.8.2-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-bad1.0 (Ubuntu Xenial):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-good1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-good1.0/1.8.2-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gst-plugins-good1.0 (Ubuntu Xenial):
status: New → Fix Committed
Changed in gst-plugins-base1.0 (Ubuntu Xenial):
status: New → Fix Committed
Changed in gst-plugins-ugly1.0 (Ubuntu Xenial):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted gst-plugins-ugly1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-plugins-ugly1.0/1.8.2-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted gstreamer1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer1.0/1.8.2-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gstreamer1.0 (Ubuntu Xenial):
status: New → Fix Committed
Changed in gst-libav1.0 (Ubuntu Xenial):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Iain, or anyone else affected,

Accepted gst-libav1.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gst-libav1.0/1.8.2-1~ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Doug McMahon (mc3man) wrote :

The vaapi plugin shows
Depends: libgstreamer-plugins-bad1.0-0(>=1.8.1)
Depends: libgstreamer-plugins-bad1.0-0(<1.8.2)
So that's not going to work out so well..

tags: added: verification-failed
removed: verification-needed
Iain Lane (laney) wrote :

That is not a verification failed - britney will tell us this. vaapi simply needs to be rebuilt.

tags: added: verification-needed
removed: verification-failed
Martin Pitt (pitti) wrote :

Hello Iain, or anyone else affected,

Accepted gstreamer-vaapi into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gstreamer-vaapi/1.8.2-1~ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Sebastien Bacher (seb128) wrote :

works fine here, I've been using on my main box, listening to music, watching videos, etc

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-libav1.0 - 1.8.2-1~ubuntu1

---------------
gst-libav1.0 (1.8.2-1~ubuntu1) xenial; urgency=medium

  * No-change backport from Yakkety to 16.04 for stable update. (LP: #1594407)

gst-libav1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

gst-libav1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Wed, 22 Jun 2016 11:06:22 +0100

Changed in gst-libav1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gst-libav1.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad1.0 - 1.8.2-1ubuntu0.1

---------------
gst-plugins-bad1.0 (1.8.2-1ubuntu0.1) xenial; urgency=medium

  * Backport to 16.04
  * debian/build-deps.in: Revert change to OpenJPEG 2.1.

gst-plugins-bad1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1594407); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)
    + Split videoparsers and faad out into their own packages.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + debian/watch: Update Vcs-* for new URL scheme

gst-plugins-bad1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/build-deps.in:
    + Switch from OpenJPEG 1.5 to 2.1.

gst-plugins-bad1.0 (1.8.1-2) unstable; urgency=medium

  * debian/build-deps.in:
    + Patch by Tobias Frost to fix FTBFS on Hurd (Closes: #822675).

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 17:49:58 +0100

Changed in gst-plugins-bad1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-good1.0 - 1.8.2-1ubuntu0.1

---------------
gst-plugins-good1.0 (1.8.2-1ubuntu0.1) xenial; urgency=medium

  * No-change backport to 16.04

gst-plugins-good1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1594407); remaining changes:
    + Import plugins from -bad that are needed for main applications.
      - jpegformat
      - camerabin2 (+ basecamerabinsrc + photography)
    + Break and Replace -bad versions which contained these plugins.
    + Add a library package containing the shared library and a -dev package for
      compiling against it. Add Breaks and Replaces against the plugins packages
      which formerly contained files shipped here.
    + Add 'pluginsdir' variable to our added pcfile for compatibility with
      some external software
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-good1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 17:50:12 +0100

Changed in gst-plugins-good1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-ugly1.0 - 1.8.2-1ubuntu0.1

---------------
gst-plugins-ugly1.0 (1.8.2-1ubuntu0.1) xenial; urgency=medium

  * No-change backport to 16.04

gst-plugins-ugly1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1594407). Remaining changes:
    + Split AMR out into a gstreamer1.0-plugins-ugly-amr package.
    + Run dh_install with --fail-missing to error out if files aren't
      installed.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

gst-plugins-ugly1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 17:50:19 +0100

Changed in gst-plugins-ugly1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer-vaapi - 1.8.2-1~ubuntu2

---------------
gstreamer-vaapi (1.8.2-1~ubuntu2) xenial; urgency=medium

  * Rebuild against gstreamer 1.8.2 (LP: #1594407)

 -- Iain Lane <email address hidden> Tue, 28 Jun 2016 09:12:21 +0100

Changed in gstreamer-vaapi (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gstreamer1.0 - 1.8.2-1~ubuntu1

---------------
gstreamer1.0 (1.8.2-1~ubuntu1) xenial; urgency=medium

  * No-change backport from yakkety to 16.04 (LP: #1594407)

gstreamer1.0 (1.8.2-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated field name.
  * New upstream bugfix release.

gstreamer1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 16:57:34 +0100

Changed in gstreamer1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-base1.0 - 1.8.2-1ubuntu0.1

---------------
gst-plugins-base1.0 (1.8.2-1ubuntu0.1) xenial; urgency=medium

  * No-change backport to 16.04

gst-plugins-base1.0 (1.8.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable (LP: #1594407). Remaining changes:
    + 0001-riff-Add-input-buffer-size-to-GstCaps.patch: Take patch from
      Alfonso Sanchez-Beato on upstream bug #737599 to add a field in the
      GstCaps containing the suggested buffer size for this stream.
    + Update Vcs-* for Ubuntu

gst-plugins-base1.0 (1.8.2-1) unstable; urgency=medium

  * debian/control.in:
    + Remove duplicated field name.
  * New upstream bugfix release.

 -- Iain Lane <email address hidden> Mon, 20 Jun 2016 17:50:06 +0100

Changed in gst-plugins-base1.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers